﻿using Syncfusion.XForms.PopupLayout;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Input;
using Xamarin.Forms;
using Xamarin.Forms.Internals;

namespace Popup_Demo
{
    public partial class MainPage : ContentPage
    {
        public MainPage()
        {   
            InitializeComponent();

            popup.PopupView.AcceptCommand = new AcceptButtonCustomCommand();
        }

        private void isOpenButton_Clicked(object sender, EventArgs e)
        {
            popup.Show();
        }
    }

    public class AcceptButtonCustomCommand : ICommand
    {
        public event EventHandler CanExecuteChanged;
        SfPopupLayout secondPopup;

        public bool CanExecute(object parameter)
        {
            return true;
        }

        public  void Execute(object parameter)
        {
            // You can write your set of codes that needs to be executed
            CancelAppointment("Cancel");
        }

        protected async void CancelAppointment(string appointmentId)
        {
            secondPopup = new SfPopupLayout();
            secondPopup.PopupView.HeaderTitle = "CancelCodesWereExecuted";
            secondPopup.Show(0,0);
            //Code for Cancel Appointment
        }
    }
}






































